Bug 688321 - Unable to make "yumdownloader --source kernel" download kernel source
Summary: Unable to make "yumdownloader --source kernel" download kernel source
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum-utils
Version: 6.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-16 19:45 UTC by James Washer
Modified: 2014-01-21 06:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 12:16:21 UTC


Attachments (Terms of Use)
repo I'm using... perhaps it is wrong. (240 bytes, application/octet-stream)
2011-03-16 19:45 UTC, James Washer
no flags Details

Description James Washer 2011-03-16 19:45:17 UTC
Created attachment 485819 [details]
repo I'm using... perhaps it is wrong.

Description of problem: yumdownloader --source kernel fails

Version-Release number of selected component (if applicable):
yum-utils-1.1.26-11.el6.noarch


How reproducible: 
100%

Steps to Reproduce:
[root@m5 washer]# yumdownloader --source kernel
Loaded plugins: auto-update-debuginfo, refresh-packagekit, rhnplugin
Found 3 installed debuginfo package(s)
No source RPM found for kernel-2.6.32-71.14.1.el6.x86_64
No source RPM found for kernel-2.6.32-71.el6.x86_64
No source RPM found for kernel-2.6.32-71.7.1.el6.x86_64
No source RPM found for kernel-2.6.32-71.18.1.el6.x86_64
No source RPM found for kernel-2.6.32-71.18.2.el6.x86_64
Nothing to download


Expected results:
kernel source rpm to be identified, found, and downloaded.


Additional info:

Comment 2 James Antill 2011-03-16 20:22:00 UTC
What does: yum repolist all \*source ... say?

I'm guessing nothing, which is why yumdownloader --source can't find them.

What about a plain "yum repolist all"

Comment 3 James Washer 2011-03-16 20:30:27 UTC
[root@m5 washer]# yum repolist all \*source
Loaded plugins: auto-update-debuginfo, refresh-packagekit, rhnplugin
Found 3 installed debuginfo package(s)
repo id         repo name                                               status
rhel-source     Red Hat Enterprise Linux 6Server - x86_64 - Source      disabled
repolist: 0

Comment 4 James Washer 2011-03-16 20:31:51 UTC
That's with my srpms.repo. Without it, I get just

[root@m5 washer]# yum repolist all \*source
Loaded plugins: auto-update-debuginfo, refresh-packagekit, rhnplugin
Found 3 installed debuginfo package(s)
repolist: 0

Comment 5 James Washer 2011-03-16 20:33:15 UTC
If I set enabled=1 in the repo I get
[root@m5 washer]# yum repolist all \*source
Loaded plugins: auto-update-debuginfo, refresh-packagekit, rhnplugin
Found 3 installed debuginfo package(s)
rhel-source                                                                                                                                  |  951 B     00:00     
rhel-source/primary                                                                                                                          | 520 kB     00:00     
rhel-source                                                                                                                                               2096/2096
repo id                                                  repo name                                                                                        status
rhel-source                                              Red Hat Enterprise Linux 6Server - x86_64 - Source                                               enabled: 0
repolist: 0

Comment 6 James Washer 2011-03-16 20:42:25 UTC
[root@m5 washer]# yum repolist all
Loaded plugins: auto-update-debuginfo, refresh-packagekit, rhnplugin
Found 3 installed debuginfo package(s)
repo id                            repo name                      status
rhel-source                        Red Hat Enterprise Linux 6Serv enabled:     0
rhel-x86_64-server-6               Red Hat Enterprise Linux Serve enabled: 3,856
rhel-x86_64-server-6-debuginfo     RHEL Server Debuginfo (v.6 for enabled: 1,716
rhel-x86_64-server-optional-6      RHEL Server Optional (v. 6 64- enabled: 2,976
rhel-x86_64-server-supplementary-6 RHEL Server Supplementary (v.  enabled:    92
repolist: 8,640

Comment 7 James Antill 2011-03-21 19:16:09 UTC
 Right, so the way "--source" works is to see that you have a repo. rhel-x86_64-server-6 enabled, and then see if it can enable rhel-x86_64-server-6-source.

 My guess is that rhel-source is a custom local thing? If that contains the correct .src.rpm files, then if you enable it you should be able to download them with yumdownloader --source. The '0' count is just because yum doesn't enable source packages normally.

 You can also run:

repoquery --archlist=src -a --repoid=rhel-source

...to get a list of what is in the repo.

Comment 8 RHEL Product and Program Management 2011-04-04 02:11:04 UTC
Since RHEL 6.1 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 9 Phil Knirsch 2011-06-27 12:16:21 UTC
This request was evaluated by Red Hat Engineering for inclusion in a Red
Hat Enterprise Linux maintenance release.

As this bug has been in NEEDINFO for an extended period of time we are going
to close this bug due to inactivity. If you would like to pursue this
matter feel free to reopen this bug and attach the needed information.

With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating enhancements for inclusion in maintenance updates
for currently deployed products. The primary objectives of update releases
are to enable new hardware platform support and to resolve critical
defects.

However, Red Hat will further review this request for potential inclusion
in future major releases of Red Hat Enterprise Linux.

Comment 10 Markus Iturriaga 2013-07-01 22:20:25 UTC
(In reply to James Antill from comment #7)
>  Right, so the way "--source" works is to see that you have a repo.
> rhel-x86_64-server-6 enabled, and then see if it can enable
> rhel-x86_64-server-6-source.
> 
>  My guess is that rhel-source is a custom local thing? If that contains the
> correct .src.rpm files, then if you enable it you should be able to download
> them with yumdownloader --source. The '0' count is just because yum doesn't
> enable source packages normally.

That's not a local customization. It's the yum repo file added by, in my case, redhat-release-server-6Server-6.4.0.4.el6.x86_64. I'm having the same problem. I know this bug is closed, but I figured I'd comment anyway.


Note You need to log in before you can comment on or make changes to this bug.